Index: pro-violet-viettel/sourcecode/application/language/message/messages_lang.php
===================================================================
--- pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 721)
+++ pro-violet-viettel/sourcecode/application/language/message/messages_lang.php	(revision 753)
@@ -90,66 +90,66 @@
 
 
-$lang['_PROVINCES_'] = array('An Giang',
-						'BÃ  Rá»a - VÅ©ng TÃ u',
-						'Báº¯c Giang',
-						'Báº¯c Káº¡n',
-						'Báº¡c LiÃªu',
-						'Báº¯c Ninh',
-						'Báº¿n Tre',
-						'BÃ¬nh Äá»nh',
-						'BÃ¬nh DÆ°Æ¡ng',
-						'BÃ¬nh PhÆ°á»c',
-						'BÃ¬nh Thuáº­n',
-						'CÃ  Mau',
-						'Cáº§n ThÆ¡',
-						'Cao Báº±ng',
-						'ÄÃ  Náºµng',
-						'Äáº¯k Láº¯k',
-						'Äáº¯k NÃŽng',
-						'Äiá»n BiÃªn',
-						'Äá»ng Nai',
-						'Äá»ng ThÃ¡p',
-						'Gia Lai',
-						'HÃ  Giang',
-						'HÃ  Nam',
-						'HÃ  Ná»i',
-						'HÃ  TÄ©nh',
-						'Háº£i DÆ°Æ¡ng',
-						'Háº£i PhÃ²ng',
-						'Háº­u Giang',
-						'HÃ²a BÃ¬nh',
-						'Há» ChÃ­ Minh',
-						'HÆ°ng YÃªn',
-						'KhÃ¡nh HÃ²a',
-						'KiÃªn Giang',
-						'Kon Tum',
-						'Lai ChÃ¢u',
-						'LÃ¢m Äá»ng',
-						'Láº¡ng SÆ¡n',
-						'LÃ o Cai',
-						'Long An',
-						'Nam Äá»nh',
-						'Nghá» An',
-						'Ninh BÃ¬nh',
-						'Ninh Thuáº­n',
-						'PhÃº Thá»',
-						'PhÃº YÃªn',
-						'Quáº£ng BÃ¬nh',
-						'Quáº£ng Nam',
-						'Quáº£ng NgÃ£i',
-						'Quáº£ng Ninh',
-						'Quáº£ng Trá»',
-						'SÃ³c TrÄng',
-						'SÆ¡n La',
-						'TÃ¢y Ninh',
-						'ThÃ¡i BÃ¬nh',
-						'ThÃ¡i NguyÃªn',
-						'Thanh HÃ³a',
-						'Thá»«a ThiÃªn Huáº¿',
-						'Tiá»n Giang',
-						'TrÃ  Vinh',
-						'TuyÃªn Quang',
-						'YÃªn BÃ¡i',
-						'VÄ©nh Long',
-						'VÄ©nh PhÃºc'
+$lang['_PROVINCES_'] = array('A076'=>'An Giang',
+						'V064'=>'BÃ  Rá»a - VÅ©ng TÃ u',
+						'B240'=>'Báº¯c Giang',
+						'B281'=>'Báº¯c Káº¡n',
+						'B241'=>'Báº¯c Ninh',
+						'B781'=>'Báº¡c LiÃªu',
+						'B075'=>'Báº¿n Tre',
+						'B056'=>'BÃ¬nh Äá»nh',
+						'B650'=>'BÃ¬nh DÆ°Æ¡ng',
+						'B651'=>'BÃ¬nh PhÆ°á»c',
+						'B062'=>'BÃ¬nh Thuáº­n',
+						'C026'=>'Cao Báº±ng',
+						'C780'=>'CÃ  Mau',
+						'C710'=>'Cáº§n ThÆ¡',
+						'D511'=>'ÄÃ  Náºµng',
+						'D500'=>'Äáº¯k Láº¯k',
+						'D501'=>'Äáº¯k NÃŽng',
+						'D230'=>'Äiá»n BiÃªn',
+						'D061'=>'Äá»ng Nai',
+						'D067'=>'Äá»ng ThÃ¡p',
+						'G059'=>'Gia Lai',
+						'H019'=>'HÃ  Giang',
+						'N351'=>'HÃ  Nam',
+						'H004'=>'HÃ  Ná»i',
+						'H039'=>'HÃ  TÄ©nh',
+						'H320'=>'Háº£i DÆ°Æ¡ng',
+						'H031'=>'Háº£i PhÃ²ng',
+						'H711'=>'Háº­u Giang',
+						'H018'=>'HÃ²a BÃ¬nh',
+						'T008'=>'Há» ChÃ­ Minh',
+						'H321'=>'HÆ°ng YÃªn',
+						'K058'=>'KhÃ¡nh HÃ²a',
+						'K077'=>'KiÃªn Giang',
+						'K060'=>'Kon Tum',
+						'L231'=>'Lai ChÃ¢u',
+						'L063'=>'LÃ¢m Äá»ng',
+						'L025'=>'Láº¡ng SÆ¡n',
+						'L020'=>'LÃ o Cai',
+						'L072'=>'Long An',
+						'N350'=>'Nam Äá»nh',
+						'N038'=>'Nghá» An',
+						'N030'=>'Ninh BÃ¬nh',
+						'N068'=>'Ninh Thuáº­n',
+						'P210'=>'PhÃº Thá»',
+						'P057'=>'PhÃº YÃªn',
+						'Q052'=>'Quáº£ng BÃ¬nh',
+						'Q510'=>'Quáº£ng Nam',
+						'Q055'=>'Quáº£ng NgÃ£i',
+						'Q033'=>'Quáº£ng Ninh',
+						'Q053'=>'Quáº£ng Trá»',
+						'S079'=>'SÃ³c TrÄng',
+						'S022'=>'SÆ¡n La',
+						'T066'=>'TÃ¢y Ninh',
+						'T036'=>'ThÃ¡i BÃ¬nh',
+						'T280'=>'ThÃ¡i NguyÃªn',
+						'T037'=>'Thanh HÃ³a',
+						'T054'=>'Thá»«a ThiÃªn Huáº¿',
+						'T073'=>'Tiá»n Giang',
+						'T074'=>'TrÃ  Vinh',
+						'T027'=>'TuyÃªn Quang',
+						'Y029'=>'YÃªn BÃ¡i',
+						'V070'=>'VÄ©nh Long',
+						'V211'=>'VÄ©nh PhÃºc'
 						);