Index: /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportpackage.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportpackage.php	(revision 755)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportpackage.php	(revision 756)
@@ -87,13 +87,14 @@
         $sheet->setCellValue('A2', "Thá»i gian: " . $data['month'] . " - " . $data['year']);
         $sheet->setCellValue('A4', "STT");
-        $sheet->setCellValue('B4', "Tá»nh/ThÃ nh phá»");
+        $sheet->setCellValue('B4', "MÃ£ Tá»nh/ThÃ nh phá»");
+        $sheet->setCellValue('C4', "Tá»nh/ThÃ nh phá»");
         $chars = array("A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L");
-        $dem = 1;
+        $dem = 2;
         $stt=1;
         foreach ($data['packages'] as $package) {
             $dem++;
-            $sheet->setCellValue($chars[$dem] . ($stt + 4), $package['p_name']);
+            $sheet->setCellValue($chars[$dem] . "4", $package['p_name']);
             $dem++;
-            $sheet->setCellValue($chars[$dem] . ($stt + 4), "Tá» lá» %");
+            $sheet->setCellValue($chars[$dem] . "4", "Tá» lá» %");
         
             $stt++;
@@ -106,6 +107,7 @@
 
             $sheet->setCellValue('A' . ($stt + 5), $provinces['stt']);
-            $sheet->setCellValue('B' . ($stt + 5), $provinces['province']);
-            $dem = 1;
+            $sheet->setCellValue('B' . ($stt + 5), $index);
+            $sheet->setCellValue('C' . ($stt + 5), $provinces['province']);
+            $dem = 2;
             foreach ($provinces['packages'] as $package) {
                 $dem++;
Index: /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportprovince.php
===================================================================
--- /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportprovince.php	(revision 755)
+++ /pro-violet-viettel/sourcecode/application/modules/admin/controllers/reportprovince.php	(revision 756)
@@ -58,31 +58,34 @@
         $sheet->getColumnDimension('A')->setWidth(10);
         $sheet->getColumnDimension('B')->setWidth(25);
-        $sheet->getColumnDimension('C')->setWidth(15);
+        $sheet->getColumnDimension('C')->setWidth(25);
         $sheet->getColumnDimension('D')->setWidth(15);
         $sheet->getColumnDimension('E')->setWidth(15);
         $sheet->getColumnDimension('F')->setWidth(15);
         $sheet->getColumnDimension('G')->setWidth(15);
-        $sheet->getColumnDimension('H')->setWidth(15);
+        $sheet->getColumnDimension('H')->setWidth(15); 
+        $sheet->getColumnDimension('I')->setWidth(20);
         $sheet->setCellValue('A1', "BÃ¡o cÃ¡o thuÃª bao theo tá»nh");
         $sheet->setCellValue('A2', "ThÃ¡ng: " . $data['month'] . " - " . $data['year']);
         $sheet->setCellValue('C2', "NgÃ y: ".date('d')." - ".date('m')." - ". date('Y').""); 
         $sheet->setCellValue('A4', "STT");
-        $sheet->setCellValue('B4', "Tá»nh/ThÃ nh phá»");
-        $sheet->setCellValue('C4', "TB NgÃ y");
-        $sheet->setCellValue('D4', "LÅ©y káº¿ TB thÃ¡ng");
-        $sheet->setCellValue('E4', "Tá»ng TB NgÃ y");
-        $sheet->setCellValue('F4', "DT NgÃ y");
-        $sheet->setCellValue('G4', "LÅ©y káº¿ DT thÃ¡ng");
-        $sheet->setCellValue('H4', "Tá»ng DT nÄm");
+        $sheet->setCellValue('B4', "MÃ£ Tá»nh/ThÃ nh Phá»");
+        $sheet->setCellValue('C4', "Tá»nh/ThÃ nh phá»");
+        $sheet->setCellValue('D4', "TB NgÃ y");
+        $sheet->setCellValue('E4', "LÅ©y káº¿ TB thÃ¡ng");
+        $sheet->setCellValue('F4', "Tá»ng TB NgÃ y");
+        $sheet->setCellValue('G4', "DT NgÃ y");
+        $sheet->setCellValue('H4', "LÅ©y káº¿ DT thÃ¡ng");
+        $sheet->setCellValue('I4', "Tá»ng DT nÄm");
         $dem=0;
         foreach ($data['provinces'] as $index => $provinces) {
             $sheet->setCellValue('A' . ($dem + 5), $provinces['stt']);
-            $sheet->setCellValue('B' . ($dem + 5), $provinces['province']);
-            $sheet->setCellValue('C' . ($dem + 5), $provinces['tbng']);
-            $sheet->setCellValue('D' . ($dem + 5), $provinces['tbt']);
-            $sheet->setCellValue('E' . ($dem + 5), $provinces['tbn']);
-            $sheet->setCellValue('F' . ($dem + 5), $provinces['dtng']);
-            $sheet->setCellValue('G' . ($dem + 5), $provinces['dtt']);
-            $sheet->setCellValue('H' . ($dem + 5), $provinces['dtn']);
+            $sheet->setCellValue('B' . ($dem + 5), $index);
+            $sheet->setCellValue('C' . ($dem + 5), $provinces['province']);
+            $sheet->setCellValue('D' . ($dem + 5), $provinces['tbng']);
+            $sheet->setCellValue('E' . ($dem + 5), $provinces['tbt']);
+            $sheet->setCellValue('F' . ($dem + 5), $provinces['tbn']);
+            $sheet->setCellValue('G' . ($dem + 5), $provinces['dtng']);
+            $sheet->setCellValue('H' . ($dem + 5), $provinces['dtt']);
+            $sheet->setCellValue('I' . ($dem + 5), $provinces['dtn']);
             $dem++;
         }